VNA upgrade fails with SSL error

Document ID : KB000122735
Last Modified Date : 07/12/2018
Show Technical Document Details
Issue:
While upgrading VNA to 3.5 or 3.5.1  we are getting the following error: Executing Database Update /opt/CA/VNA/liquibase /opt/CA/vna_install Thu Dec 06 15:08:23 CST 2018 WARN: Establishing SSL connection without server's identity verification is not recommended. According to MySQL 5.5.45+, 5.6.26+ and 5.7.6+ requirements SSL connection must be established by default if explicit option isn't set. For compliance with existing applications not using SSL the verifyServerCertificate property is set to 'false'. You need either to explicitly disable SSL by setting useSSL=false, or set useSSL=true and provide truststore for server certificate
verification.
Unexpected error running Liquibase: java.sql.SQLException: Access denied for user 'root'@'localhost' (using password: YES) Error updating MySQL database
Environment:
CA Virtual Network Assurance 3.5.x
Cause:
The root password for MySql was set to something other than the default; admin

There is a bug in the install script, where it will not prompt for a password, on an upgrade
Resolution:
Edit the install.sh script that gets created by the CA_VNA-3.5-Linux.txe file

Change the value for "MYSQL_ROOT_PASSWORD=" from "admin" to the password that was set during the initial installation

 
Additional Information:
This issue has been resolved in later versions